import request from "@/utils/request";

// 查询【请填写功能名称】列表
export function page(query) {
  return request({
    url: "/core/resumption/record/page",
    method: "get",
    params: query,
  });
}

//获取计划列表
export function getPlans(args) {
  return request({
    url: "/core/resumption/record/plan",
    method: "get",
    params: args,
  });
}

//获取执行岗位
export function getRoles(args) {
  return request({
    url: "/core/resumption/record/role",
    method: "get",
    params: args,
  });
}

/**
 * PC端履职记录导出
 */
export function exportResumptionRecord(args) {
  return request({
    url: "/core/resumption/record/export",
    method: "post",
    params: args,
  });
}

/**
 * 查询
 */
export function one(id) {
  return request({
    url: "/core/resumption/record/" + id,
    method: "get"
  });
}

/**
 * 查询 扫描记录
 */
export function findNfcScanRecord(args) {
  return request({
    url: "/core/resumption/record/nfc",
    method: "get",
    params: args,
  });
}
